Security Announcements

 
 
My ugly mug
MSA-13-0016: External Entity Injection through Zend library
 
Description: Through the Zend library, clients of Moodle Web services were potentially able to reveal files on the server
Issue summary: Zend XmlRpc: Local file disclosure via XXE injection
Severity/Risk: Serious
Versions affected: 2.4 to 2.4.1, 2.3 to 2.3.4, 2.2 to 2.2.7, earlier unsupported versions (2.x only)
Versions fixed: 2.4.2 and 2.4.3, 2.3.5 and 2.3.6, 2.2.8 and 2.2.9
Reported by: Frédéric Massart
Issue no.: MDL-34284
CVE identifier: CVE-2012-3363
Workaround: Disable Web services
Changes (master): http://git.moodle.org/gw?p=moodle.git&a=search&h=HEAD&st=commit&s=MDL-34284